from fastapi import APIRouter

from app.api.routes import auth, products, inventory, customers, orders, payments, health

router = APIRouter()

router.include_router(auth.router, prefix="/api/v1/auth", tags=["authentication"])
router.include_router(products.router, prefix="/api/v1/products", tags=["products"])
router.include_router(inventory.router, prefix="/api/v1/inventory", tags=["inventory"])
router.include_router(customers.router, prefix="/api/v1/customers", tags=["customers"])
router.include_router(orders.router, prefix="/api/v1/orders", tags=["orders"])
router.include_router(payments.router, prefix="/api/v1/payments", tags=["payments"])
router.include_router(health.router, prefix="", tags=["health"])