from typing import Optional
from datetime import datetime
from pydantic import BaseModel


class InventoryBase(BaseModel):
    product_id: int
    quantity: int
    location: Optional[str] = None
    last_restock_date: Optional[datetime] = None


class InventoryCreate(InventoryBase):
    pass


class InventoryUpdate(BaseModel):
    quantity: Optional[int] = None
    location: Optional[str] = None
    last_restock_date: Optional[datetime] = None


class InventoryInDBBase(InventoryBase):
    id: int
    
    class Config:
        orm_mode = True


class Inventory(InventoryInDBBase):
    pass